Bug 143475 - Missing expression in return statement
Missing expression in return statement
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 08:48 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-02 05:11:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-21 08:48:51 EST
Description of problem:

I just tried to compile package gnome-media-2.8.0-4 from 
Redhat Fedora development tree.

The compiler said

linux-cdrom.c(868): warning #117: non-void function
"linux_cdrom_get_status" should return a value

The source code is

                                return;

But

static gboolean
linux_cdrom_get_status (GnomeCDRom *cdrom,
                        GnomeCDRomStatus **status,
                        GError **error)
{

Suggest add expression to return statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2007-02-02 05:11:52 EST
The upstream code still has that bug:
                        if (ioctl (cdrom->fd, CDROMREADTOCHDR, priv->tochdr) < 0) {
                                g_print ("Error reading CD header");
                                linux_cdrom_close (lcd);

                                return;
                        }

Fixed upstream in:
http://bugzilla.gnome.org/show_bug.cgi?id=403518

Thanks for the notice.

Note You need to log in before you can comment on or make changes to this bug.